function CreatureCanBeSapped(unit)
	creatureType = UnitCreatureType(unit)
	local humanoidLocales = {'Humanoid', 'Humanoide', 'Humanoïde', 'Umanoide', 'Humanoide', 'Гуманоид', '인간형', '인간형', '人型生物'}
	for k,value in pairs(humanoidLocales) do 
		if (value == creatureType) then
                	return true;
		end
	end
	
	return false;
end;

function isInPvpZone()
	local pvpType, isFFA, faction = GetZonePVPInfo();
	
	if (pvpType == "sanctuary") then
	 return false;
	
	end

	return true;
end;

local frame = CreateFrame("Frame")
frame:SetScript("OnUpdate", function(self) ShowSapIcon() end);

function ShowSapIcon()
	for _, unitFrame in pairs(C_NamePlate.GetNamePlates(true)) do
		local unit = (unitFrame.UnitFrame.unit or unitFrame.unitFrame.unit)
			if unitFrame.myIndicator then
				unitFrame.myIndicator:Hide()
			end

			if (CreatureCanBeSapped(unit) and UnitCanAttack("player", unit) and not UnitAffectingCombat(unit)) then
				unitFrame.myIndicator = unitFrame:CreateTexture(nil, "OVERLAY")
				unitFrame.myIndicator:SetTexture("Interface\\Icons\\ABILITY_SAP");
				unitFrame.myIndicator:SetSize(20,20)
				unitFrame.myIndicator:SetPoint("LEFT", -20, -10) -- horizontal, vertical
				unitFrame.myIndicator:Show()
	    	end
        end
end